View Issue Details

IDProjectCategoryView StatusLast Update
0003295GNUnetcore servicepublic2014-04-08 16:41
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003295: core needs to be able to prioritize mesh/conversation traffic properly
DescriptionThe priority option was ignored so far...
TagsNo tags attached.

Relationships

child of 0003296 closedChristian Grothoff core needs to be able to tell if transport has 'excess' bandwidth or is strapped for a particular peer 

Activities

Christian Grothoff

2014-01-30 20:23

manager   ~0008046

Implemented highest-priority-traffic first in core in SVN 32125.

Still, we might mix in background traffic into high-priority conversation traffic as padding, possibly violating low-latency requirements of conversation. To fix this, we'll need information of transport to tell us if we have lots of 'slack' when it comes to bandwidth, and only then trigger background traffic.

Christian Grothoff

2014-02-02 18:50

manager   ~0008052

I've added the API (but it is not implemented or used yet).

Christian Grothoff

2014-02-09 20:16

manager   ~0008082

Implemented in SVN 32266.

Issue History

Date Modified Username Field Change
2014-01-30 20:22 Christian Grothoff New Issue
2014-01-30 20:22 Christian Grothoff Status new => assigned
2014-01-30 20:22 Christian Grothoff Assigned To => Christian Grothoff
2014-01-30 20:23 Christian Grothoff Note Added: 0008046
2014-01-30 20:26 Christian Grothoff Relationship added child of 0003296
2014-02-02 18:50 Christian Grothoff Note Added: 0008052
2014-02-09 19:54 Christian Grothoff Priority normal => high
2014-02-09 20:16 Christian Grothoff Note Added: 0008082
2014-02-09 20:16 Christian Grothoff Status assigned => resolved
2014-02-09 20:16 Christian Grothoff Fixed in Version => 0.10.1
2014-02-09 20:16 Christian Grothoff Resolution open => fixed
2014-04-08 16:41 Christian Grothoff Status resolved => closed